require('./assets/lib/piety')($, document)

## CPU Usage Widget
## Based on https://github.com/Amar1729/nerdbar.widget/blob/master/cpu.coffee

## Colors Used by the chart
colors =
  low: '#FF3D00'
  med: '#00E676'
  high: '#00E676'
  back: 'rgba(0,0,0,0.3)'

##  Width of the chart
chartWidth = 15

## Try 'pie'
chartType = 'bar'

refreshFrequency: 50000 # ms

command: "pmset -g batt | egrep '(\\d+)\%' -o | cut -f1 -d%"

render: (output) ->
  """
  <div class="cpu">
    <span class="chart"></span>
    <span class='number'></span>
  </div>
  """

update: (output, el) ->
  cpu = Number(output)
#  fill = colors.low

  ## Medium Threshold
  if cpu > 20
    fill = colors.med

  ## High Threshold
  if cpu > 80
    fill = colors.high

  ## Set Text
  $(".cpu .number", el).text("  #{cpu}%")

  ## Set Chart Data
  $(".cpu .chart", el).text("#{cpu}/100").peity chartType,
    fill: [fill, colors.back]
    width: chartWidth


style: """
  right: 160px
  bottom: 5px

  color: white
  font: 9px SF Mono Regular, monospace, Helvetica Neue, sans-serif
  -webkit-font-smoothing: antialiased

  .number
    vertical-align 5px

  .chart
    vertical-align top
"""
