require('./assets/lib/piety')($, document)

## CPU Usage Widget
## Based on https://github.com/Amar1729/nerdbar.widget/blob/master/cpu.coffee

## Colors Used by the chart
colors =
  low: '#00E676'
  med: 'orange'
  high: 'rgb(255,44,37)'
  back: 'rgba(0,0,0,0.4)'

##  Width of the chart
chartWidth = 15

## Try 'pie'
chartType = 'donut'

refreshFrequency: 2000 # ms

command: "ESC=`printf \"\e\"`; ps -A -o %cpu | awk '{s+=$1} END {printf(\"%.0f\",s/8);}'"

render: (output) ->
  """
  <div class="cpu">
    <span class="chart"></span>
    <span class='number'></span>
  </div>
  """

update: (output, el) ->
  cpu = Number(output)
  fill = colors.low

  ## Medium Threshold
  if cpu > 40
    fill = colors.med

  ## High Threshold
  if cpu > 80
    fill = colors.high

  ## Set Text
  $(".cpu .number", el).text("  #{cpu}%")

  ## Set Chart Data
  $(".cpu .chart", el).text("#{cpu}/100").peity chartType,
    fill: [fill, colors.back]
    width: chartWidth


style: """
  right: 330px
  bottom: 5px

  color: white
  font: 9px SF Mono Regular, monospace, Helvetica Neue, sans-serif
  -webkit-font-smoothing: antialiased

  .number
    vertical-align 5px

  .chart
    vertical-align top
"""
