require('./assets/lib/piety')($, document)

## CPU Usage Widget
## Based on https://github.com/Amar1729/nerdbar.widget/blob/master/cpu.coffee

## Colors Used by the chart
colors =
  low: '#00E676'
  med: 'orange'
  high: 'rgb(255,44,37)'
  back: 'rgba(0,0,0,0.4)'

##  Width of the chart
chartWidth = 15

## Try 'pie'
chartType = 'donut'

refreshFrequency: 2000 # ms

command: "memory_pressure | awk '{ field=$NF };END{print field}' | tr -d '%'"

render: (output) ->
  """
  <div class="pressure">
    <span class="chart"></span>
    <span class='number'></span>
  </div>
  """

update: (output, el) ->
  pressure = Number(output)
  fill = colors.low

  ## Medium Threshold
  if pressure < 40
    fill = colors.med

  ## High Threshold
  if pressure < 20
    fill = colors.high

  ## Set Text
  $(".pressure .number", el).text("#{pressure}%")

  ## Set Chart Data
  $(".pressure .chart", el).text("#{100 - pressure}/100").peity chartType,
    fill: [fill, colors.back]
    width: chartWidth


style: """
  right: 280px
  bottom: 5px

  color: white
  font: 9px SF Mono Regular, monospace, Helvetica Neue, sans-serif
  -webkit-font-smoothing: antialiased

  .number
    vertical-align 5px

  .chart
    vertical-align top
"""
